---
title: Addition assignment (+=)
slug: Web/JavaScript/Reference/Operators/Addition_assignment
tags:
  - Assignment operator
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The addition assignment operator (<code>+=</code>) adds the value of the right operand to a variable and assigns the result to the variable. The types of the two operands determine the behavior of the addition assignment operator. Addition or concatenation is possible.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-addition-assignment.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> x += y
<strong>Meaning:</strong>  x  = x + y</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_addition_assignment">Using addition assignment</h3>

<pre class="brush: js notranslate">// Assuming the following variables
//  foo = 'foo'
//  bar = 5
//  baz = true

// Number + Number -&gt; addition
bar += 2 // 7

// Boolean + Number -&gt; addition
baz += 1 // 2

// Boolean + Boolean -&gt; addition
baz += false // 1

// Number + String -&gt; concatenation
bar += 'foo' // "5foo"

// String + Boolean -&gt; concatenation
foo += false // "foofalse"

// String + String -&gt; concatenation
foo += 'bar' // "foobar"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-assignment-operators', 'Assignment operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.addition_assignment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#Assignment">Assignment operators in the JS guide</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Addition">Addition operator</a></li>
</ul>
